.line-stars {
    position: relative;
    overflow: hidden;
    width: 80px;
    height: 16px;
    padding: 0;
    margin: auto;
}

._ls-back,
._ls-front {
    width: 80px;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-shrink: 0;
    flex-wrap: nowrap;
    padding: 0;
    margin: 0;
    color: gray;
}

._ls-front {
    color: #fbbc00;
    overflow: hidden;
}

._ls-back > div,
._ls-front > div {
    display: inline-block;
    width: 16px;
    height: 16px;
    flex-shrink: 0;
    background-color: currentcolor;
    -webkit-mask-image: url(/upload/images/star.svg);
    mask-image: url(/upload/images/star.svg);
    -webkit-mask-size: url("/upload/images/star.svg");
    mask-size: url("/upload/images/star.svg");
}

.line-stars.mini {
    margin: initial;
}